### Method

# AppStream Component set_data_id

#### Declaration [src]

    void
    as_component_set_data_id (
      AsComponent* cpt,
      const gchar* value
    )

#### Description [src]

Set the session-specific unique metadata identifier for this component. If two components have a different data_id but the same ID, they will be treated as independent sets of metadata describing the same component type.

#### Parameters

`value`

  Type: `const gchar*`

  The unique session-specific identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.